> ## Documentation Index
> Fetch the complete documentation index at: https://docs.otark.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get demands



## OpenAPI

````yaml get /v1/demands
openapi: 3.0.0
info:
  title: Otark API
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://api.otark.com
    description: Production
security: []
tags: []
paths:
  /v1/demands:
    get:
      tags:
        - Demands
      summary: Get demands
      operationId: v1_DemandsController_get
      parameters:
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            minimum: 1
            default: 1
            type: number
        - name: limit
          required: false
          in: query
          description: Items per page
          schema:
            minimum: 1
            maximum: 100
            default: 10
            type: number
      responses:
        '200':
          description: Demands list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DemandListDTO'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    DemandListDTO:
      type: object
      properties:
        demands:
          description: List of demands
          type: array
          items:
            $ref: '#/components/schemas/DemandListItemDTO'
      required:
        - demands
    DemandListItemDTO:
      type: object
      properties:
        id:
          type: string
          example: dem_KKbRxNEDjBFFlnX1Khiaw
          description: The unique identifier of the demand
        contractPeriod:
          type: number
          example: 12
          description: The desired contract period in months
        deliveryVolume:
          type: number
          example: 100
          description: The desired delivery volume in MWh
        additionalInfo:
          type: string
          example: Additional information about the demand
          description: Additional info
        country:
          type: string
          example: DE
          description: The country of the demand
        state:
          type: string
          example: Berlin
          description: The state of the demand
        deliveryStart:
          format: date-time
          type: string
          example: '2000-01-01T00:00:00.000Z'
          description: The start date of delivery
      required:
        - id
        - contractPeriod
        - deliveryVolume
        - additionalInfo
        - country
        - state
        - deliveryStart
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````